• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Cannot sync 2 devices
#1
Hello,

I have been syncing my 2 devices with no problems up to today. I always use the same one as a server and the other as the device. Today the "device" will not sync up. It states:
Received database version 54, but expected 50. MSP must be the same version on each device. Ending sync...

I have not changed any settings and cannot find how to update the one device.

Thanks
Reply
#2
Each device needs to be running version 2.6.5. If it's a Windows 10 device, load the Microsoft Store application, search for MobileSheets and tap the update button on the store page. If it's an Android device, open the Google Play Store app, search for MobileSheetsPro and tap the update button on the store page.

Mike
Reply
#3
(06-05-2019, 06:01 AM)Zubersoft Wrote: Each device needs to be running version 2.6.5. If it's a Windows 10 device, load the Microsoft Store application, search for MobileSheets and tap the update button on the store page. If it's an Android device, open the Google Play Store app, search for MobileSheetsPro and tap the update button on the store page.

Mike

Again, thank you
Reply
#4
Hi Mike,

So then logically, anytime a new device is brought on, a new phone or new laptop, it will get the latest version from the respective store - Android or Windows - and now you must go through and install new versions regardless of your need for a new version?

I approach a software upgrade like a bios upgrade, if it isn't broke don't fix it.  Therefore my devices are lan locked to my network.

Is there any chance the companion could be made universal?  Am I going to have problems with restoring backups across my devices?  They will inevitably drift to various version levels.  

I don't expect to have more than 2 devices - home and performance but still I would prefer not to have to go through needless testing phases if I can avoid it.

Thanks,
JR
Reply
#5
Yes, that is correct. If you set up a new device, you'll be getting the latest version, which may cause incompatibilities if you are using older versions on other devices. 

The reason the companion can't be made universal is because it's tightly coupled to the database definition. You can't mix databases with different table definitions. Trying to add support for backward compatibility across all different database versions and features would be a nightmare. The user interfaces reflect the settings that are available in the most recent definition of the database. If I had to support multiple database definitions, I would have to support layouts for every dialog that can change their logic and what is displayed based upon what database version is being used. The amount of complexity and work this would add is huge. 

Having said that, different versions of MobileSheets stay compatible until the database changes. I usually try to avoid database changes unless absolutely necessary. Users often request new features that require modifications to the database, so in order to accomodate these requests, I have to make periodic changes to the database tables. I just try to space these out as much as I can, and schedule multiple database changes to happen at once when possible.

Mike
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


Users browsing this thread:
2 Guest(s)


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.